const Parse = require("parse/node")
Parse.initialize("dev")
Parse.serverURL = 'http://web2023.fmode.cn:9999/parse'


async function main(){
    let LcmUser = Parse.Object.extend("LcmUser")

    // //创建数据有效

    // let user1 = new LcmUser();
    // user1.set("userName","小明")
    // user1.set("userId",123123)
    // user1.set("password","123456678")
    // user1.set("stuno","027")

    // let result = await user1.save();
    // console.log(result)

    //修改用户有效
    let query = new Parse.Query(LcmUser)
    query.equalTo("objectId","cHIzeBP8R3") // 注意这里是使用正确的方法名 equalTo 查询 objectId
    let user1 = await query.first();
    console.log(user1.toJSON())
    user1.set("stuno","127")
    let result =await user1.save();
    console.log(result.toJSON())

}

main()